php-react-promise_2.4.1-1ubuntu1_all.deb


Advertisement

Description

php-react-promise - lightweight implementation of CommonJS Promises/A for PHP

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename php-react-promise_2.4.1-1ubuntu1_all.deb
Package name php-react-promise
Package version 2.4.1
Package release 1ubuntu1
Package architecture all
Package type deb
Category universe/php
Homepage https://github.com/reactphp/promise
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 14.50 KB
Installed size 56.00 KB
React/Promise provides several useful promise-related concepts, such as
joining multiple promises and mapping and reducing collections of promises.

Alternatives

Package Version Architecture Repository
php-react-promise_2.4.1-1ubuntu1_all.deb 2.4.1 all Ubuntu Universe
php-react-promise - - -

Requires

Name Value
php-common -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php-react-promise_2.4.1-1ubuntu1_all.deb
Source Package php-react-promise

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-react-promise deb package:
    # sudo apt-get install php-react-promise

Files

Path
/usr/share/doc/php-react-promise/README.md.gz
/usr/share/doc/php-react-promise/changelog.Debian.gz
/usr/share/doc/php-react-promise/copyright
/usr/share/php/React/Promise/CancellablePromiseInterface.php
/usr/share/php/React/Promise/CancellationQueue.php
/usr/share/php/React/Promise/Deferred.php
/usr/share/php/React/Promise/ExtendedPromiseInterface.php
/usr/share/php/React/Promise/FulfilledPromise.php
/usr/share/php/React/Promise/LazyPromise.php
/usr/share/php/React/Promise/Promise.php
/usr/share/php/React/Promise/PromiseInterface.php
/usr/share/php/React/Promise/PromisorInterface.php
/usr/share/php/React/Promise/RejectedPromise.php
/usr/share/php/React/Promise/UnhandledRejectionException.php
/usr/share/php/React/Promise/autoload.php
/usr/share/php/React/Promise/functions.php
/usr/share/php/React/Promise/functions_include.php
/usr/share/php/React/Promise/Exception/LengthException.php

Changelog

2018-02-16 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
php-react-promise (2.4.1-1ubuntu1) bionic; urgency=medium
* debian/patches/phpunit6_compatibility.patch: PHPUnit 6 has non-BC
changes.
2016-05-03 - David Prévot <taffit@debian.org>
php-react-promise (2.4.1-1) unstable; urgency=medium
[ Jan Sorgalla ]
* Fix some() not cancelling pending promises when too much input
promises reject
* Prepare changelog for v2.4.1 release
[ David Prévot ]
* Update Standards-Version to 3.9.8
2016-04-01 - David Prévot <taffit@debian.org>
php-react-promise (2.4.0-1) unstable; urgency=medium
[ Jan Sorgalla ]
* Reject some() (and any()) if the input array contains not enough items
* Support foreign thenables in resolve()
* Prepare changelog for v2.4.0 release
[ David Prévot ]
* Install upstream README
2016-03-25 - David Prévot <taffit@debian.org>
php-react-promise (2.3.0-1) unstable; urgency=medium
[ Jan Sorgalla ]
* Allow cancellation of promises returned by functions working on
promise collections
* Prepare changelog for v2.3.0 release
[ Josh Di Fabio ]
* Handle \Throwable in the same way as \Exception
2016-03-03 - David Prévot <taffit@debian.org>
php-react-promise (2.2.2-1) unstable; urgency=medium
[ Jan Sorgalla ]
* Update copyright year
* Prepare changelog for v2.2.2 release
[ Christian Lück ]
* Cancellation handler must only be called once
[ David Prévot ]
* Update copyright (years)
* Update Standards-Version to 3.9.7
* Build with latest pkg-php-tools for the PHP 7.0 transition
2015-07-04 - David Prévot <taffit@debian.org>
php-react-promise (2.2.1-1) unstable; urgency=medium
[ Jan Sorgalla ]
* Update copyright year
* Update email
* Assign result and reset handlers early when settling a promise
* Prepare changelog for v2.2.1 release
[ David Prévot ]
* Update copyright
2015-04-24 - David Prévot <taffit@debian.org>
php-react-promise (2.2.0-3) unstable; urgency=medium
* Upload to unstable since it’s the end of the freeze
* Use homemade autoload.php for tests
2015-02-28 - David Prévot <taffit@debian.org>
php-react-promise (2.2.0-2) experimental; urgency=medium
* Provide homemade autoload.php
2015-01-03 - David Prévot <taffit@debian.org>
php-react-promise (2.2.0-1) experimental; urgency=medium
* Upload to experimental to respect the freeze
[ Jan Sorgalla ]
* Introduce ExtendedPromiseInterface
* Conditionally require functions.php
* Prepare changelog for v2.2.0 release
2014-10-19 - David Prévot <taffit@debian.org>
php-react-promise (2.1.0-1) unstable; urgency=medium
[ Jan Sorgalla ]
* Switch to PSR-4
* Introduce CancellablePromiseInterface
* Make CancellablePromiseInterface extend PromiseInterface
* Prepare changelog for v2.1.0 release
[ David Prévot ]
* Adapt package for PSR-4 distribution
* Use php-symfony-class-loader instead of php-symfony-classloader

See Also

Package Description
php-readline_7.2+60ubuntu1_all.deb readline module for PHP [default]
php-redis_3.1.6-1build1_i386.deb PHP extension for interfacing with Redis
php-remctl_3.13-1+deb9u1_i386.deb PECL module for Kerberos-authenticated command execution
php-rrd_2.0.1+1.1.3-4build1_i386.deb PHP bindings to rrd tool system
php-sabre-dav_1.8.12-3ubuntu2_all.deb WebDAV Framework for PHP
php-sabre-vobject_2.1.7-4_all.deb library to parse and manipulate iCalendar and vCard objects
php-sass_0.5.10-3build1_i386.deb PHP bindings to libsass - fast, native Sass parsing in PHP
php-seclib_1.0.9-1_all.deb implementations of an arbitrary-precision integer arithmetic library
php-services-json_1.0.3-1build1_all.deb PHP implementaion of json_encode/decode
php-services-weather_1.4.7-4_all.deb This class acts as an interface to various online weather-services
php-smbclient_0.8.0-3build2_i386.deb PHP wrapper for libsmbclient
php-soap_7.2+60ubuntu1_all.deb SOAP module for PHP [default]
php-solr_2.4.0-5build1_i386.deb PHP extension for communicating with Apache Solr server
php-sql-formatter_1.2.17-2_all.deb a PHP SQL highlighting library
php-ssh2_1.1.2+0.13-1build1_i386.deb Bindings for the libssh2 library
Advertisement
Advertisement